test: tagDESKTOP struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagDESKTOP Struct Reference

`#include <userk.h>`

List of all members.

## Public Attributes

PDESKTOPINFO | pDeskInfo
PDISPLAYINFO | pDispInfo
PDESKTOP | rpdeskNext
PWINDOWSTATION | rpwinstaParent
DWORD | dwDTFlags
ULONG | dwDesktopId
PWND | spwndMenu
PMENU | spmenuSys
PMENU | spmenuDialogSys
PMENU | spmenuHScroll
PMENU | spmenuVScroll
PWND | spwndForeground
PWND | spwndTray
PWND | spwndMessage
PWND | spwndTooltip
HANDLE | hsectionDesktop
PWIN32HEAP | pheapDesktop
DWORD | dwConsoleThreadId
DWORD | dwConsoleIMEThreadId
CONSOLE_CARET_INFO | cciConsole
LIST_ENTRY | PtiList
PWND | spwndTrack
int | htEx
RECT | rcMouseHover
DWORD | dwMouseHoverTime
DWORD | dwSessionId

## Member Data Documentation

CONSOLE_CARET_INFO tagDESKTOP::cciConsole

| Definition at line 2667 of file userk.h. Referenced by _GetGUIThreadInfo().

DWORD tagDESKTOP::dwConsoleIMEThreadId

| Definition at line 2666 of file userk.h. Referenced by NtUserGetThreadState(), xxxConsoleControl(), and zzzAttachThreadInput().

DWORD tagDESKTOP::dwConsoleThreadId

| Definition at line 2665 of file userk.h. Referenced by DestroyWindowStation(), TerminateConsole(), UnmapDesktop(), xxxConsoleControl(), zzzAttachThreadInput(), and zzzSetDesktop().

ULONG tagDESKTOP::dwDesktopId

| Definition at line 2651 of file userk.h. Referenced by UserGetCurrentDesktopId(), xxxCreateDesktop2(), and xxxUserChangeDisplaySettings().

DWORD tagDESKTOP::dwDTFlags

| Definition at line 2650 of file userk.h. Referenced by DesktopAlloc(), DestroyDesktop(), FreeDesktop(), GNT_NextTopScan(), MNFreePopup(), OkayToCloseDesktop(), QueryTrackMouseEvent(), RemoteRedrawScreen(), TrackMouseEvent(), UserSetDelayedChangeBroadcastForAllDesktops(), xxxCapture(), xxxCreateDesktop(), xxxCreateThreadInfo(), xxxCreateWindowEx(), xxxDesktopThread(), xxxDesktopWndProc(), xxxMNCloseHierarchy(), xxxMNEndMenuState(), xxxMNOpenHierarchy(), xxxProcessEventMessage(), xxxRealizePalette(), xxxScanSysQueue(), xxxSetCsrssThreadDesktop(), xxxSwitchDesktop(), xxxSystemTimerProc(), xxxTrackMouseMove(), zzzSetDesktop(), and zzzSetFMouseMoved().

DWORD tagDESKTOP::dwMouseHoverTime

| Definition at line 2673 of file userk.h. Referenced by QueryTrackMouseEvent(), ResetMouseHover(), and TrackMouseEvent().

DWORD tagDESKTOP::dwSessionId

| Definition at line 2675 of file userk.h. Referenced by xxxCloseDesktop(), xxxCreateDesktop2(), xxxOpenDesktop(), and zzzSetDesktop().

HANDLE tagDESKTOP::hsectionDesktop

| Definition at line 2663 of file userk.h. Referenced by FreeDesktop(), MapDesktop(), UserCommitDesktopMemory(), and xxxCreateDesktop2().

int tagDESKTOP::htEx

| Definition at line 2671 of file userk.h. Referenced by QueryTrackMouseEvent(), TrackMouseEvent(), xxxCapture(), xxxProcessEventMessage(), xxxScanSysQueue(), xxxSystemTimerProc(), xxxTrackMouseMove(), and zzzSetFMouseMoved().

PDESKTOPINFO tagDESKTOP::pDeskInfo

| Definition at line 2644 of file userk.h. Referenced by _GetDC(), _GetNextQueueWindow(), DestroyInputContext(), DestroyProcessInfo(), DoPaint(), FreeDesktop(), FullScreenCleanup(), GetLastTopMostWindow(), GetTopMostInsertAfter(), GNT_NextTopScan(), NtUserBuildHwndList(), NtUserGetDC(), NtUserPaintDesktop(), PatchThreadWindows(), ResetSharedDesktops(), UnlinkHook(), UpdateUserScreen(), UserCommitDesktopMemory(), UserGetDesktopDC(), xxxActivateThisWindow(), xxxBroadcastDisplaySettingsChange(), xxxButtonEvent(), xxxCleanupDesktopMenu(), xxxClientShutdown(), xxxCreateDesktop(), xxxCreateDesktop2(), xxxCreateDisconnectDesktop(), xxxCreateThreadInfo(), xxxDeactivate(), xxxDesktopThread(), xxxDesktopWndProc(), xxxDestroyThreadInfo(), xxxDW_DestroyOwnedWindows(), xxxHungAppDemon(), xxxInvalidateDesktopOnPaletteChange(), xxxMakeWindowForegroundWithState(), xxxMNOpenHierarchy(), xxxNextWindow(), xxxOldNextWindow(), xxxQueryInformationThread(), xxxScanSysQueue(), xxxScrollWindowEx(), xxxSendMessageBSM(), xxxSetClassIcon(), xxxSetDeskWallpaper(), xxxSimpleDoSyncPaint(), xxxSnapWindow(), xxxSwitchDesktop(), xxxSystemBroadcastMessage(), xxxSystemParametersInfo(), xxxUserChangeDisplaySettings(), xxxUserResetDisplayDevice(), zzzCancelJournalling(), zzzReattachThreads(), zzzSetDesktop(), and zzzSetFMouseMoved().

PDISPLAYINFO tagDESKTOP::pDispInfo

| Definition at line 2645 of file userk.h. Referenced by ResetSharedDesktops(), UpdateUserScreen(), UserGetDesktopDC(), xxxCreateDesktop(), xxxCreateDesktop2(), xxxDesktopThread(), and xxxSwitchDesktop().

PWIN32HEAP tagDESKTOP::pheapDesktop

| Definition at line 2664 of file userk.h. Referenced by DesktopAlloc(), EndShutdown(), FreeDesktop(), FreeView(), HMAllocObject(), HMFreeObject(), MapDesktop(), xxxCreateDefaultImeWindow(), and xxxCreateDesktop2().

LIST_ENTRY tagDESKTOP::PtiList

| Definition at line 2668 of file userk.h. Referenced by GetThreadsWithPKL(), SetGlobalCursorLevel(), UnmapDesktop(), UpdateAsyncKeyState(), xxxCancelTracking(), xxxCreateDesktop2(), xxxInternalActivateKeyboardLayout(), xxxMNEndMenuState(), xxxSwitchDesktop(), zzzDestroyQueue(), zzzJournalAttach(), zzzReattachThreads(), zzzRecalc2(), and zzzSetDesktop().

RECT tagDESKTOP::rcMouseHover

| Definition at line 2672 of file userk.h. Referenced by ResetMouseHover(), xxxScanSysQueue(), and xxxSystemTimerProc().

PDESKTOP tagDESKTOP::rpdeskNext

| Definition at line 2647 of file userk.h. Referenced by _LockWindowStation(), _SetDoubleClickTime(), CleanupDirtyDesktops(), DestroyDesktop(), DestroyWindowStation(), DoPaint(), DumpConvInfo(), EndShutdown(), GetThreadsWithPKL(), InitiateWin32kCleanup(), ParseDesktop(), ResetSharedDesktops(), SetGlobalCursorLevel(), UpdateUserScreen(), UserCommitDesktopMemory(), UserSetDelayedChangeBroadcastForAllDesktops(), xxxCreateDesktop2(), xxxDesktopThread(), xxxRealizePalette(), xxxSendMessageBSM(), xxxSystemBroadcastMessage(), and xxxUpdatePerUserSystemParameters().

PWINDOWSTATION tagDESKTOP::rpwinstaParent

| Definition at line 2648 of file userk.h. Referenced by _BlockInput(), CalcVisRgn(), DestroyDesktop(), FilterKeys(), FKActivationTimer(), FreeDesktop(), GetTopMostInsertAfter(), HighContrastHotKey(), MouseKeys(), NtUserGetAsyncKeyState(), NtUserSwitchDesktop(), OpenDesktopCompletion(), PostAccessibility(), ReferenceWindowStation(), RemoteDisableScreen(), RemoteRedrawScreen(), ResetSharedDesktops(), SetGlobalCursorLevel(), ToggleKeys(), TurnOffMouseKeys(), WantImeWindow(), xxxAccessTimeOutTimer(), xxxButtonEvent(), xxxCreateDesktop(), xxxCreateDesktop2(), xxxDesktopThread(), xxxDoHotKeyStuff(), xxxFKAcceptanceDelayTimer(), xxxFKRepeatRateTimer(), xxxInternalKeyEventDirect(), xxxMKToggleMouseKeys(), xxxMNOpenHierarchy(), xxxMouseEventDirect(), xxxQueryInformationThread(), xxxStickyKeys(), xxxSwitchDesktop(), xxxSystemBroadcastMessage(), xxxToggleKeysTimer(), xxxTrackMouseMove(), xxxTwoKeysDown(), and zzzSetWindowsHookEx().

PMENU tagDESKTOP::spmenuDialogSys

| Definition at line 2655 of file userk.h. Referenced by xxxDesktopThread(), and xxxUpdatePerUserSystemParameters().

PMENU tagDESKTOP::spmenuHScroll

| Definition at line 2656 of file userk.h. Referenced by xxxDesktopThread().

PMENU tagDESKTOP::spmenuSys

| Definition at line 2654 of file userk.h. Referenced by xxxDesktopThread(), and xxxUpdatePerUserSystemParameters().

PMENU tagDESKTOP::spmenuVScroll

| Definition at line 2657 of file userk.h. Referenced by xxxDesktopThread().

PWND tagDESKTOP::spwndForeground

| Definition at line 2658 of file userk.h. Referenced by xxxDesktopThread(), and xxxSwitchDesktop().

PWND tagDESKTOP::spwndMenu

| Definition at line 2653 of file userk.h. Referenced by MNFreePopup(), PatchThreadWindows(), xxxCreateDesktop(), xxxDesktopThread(), xxxDestroyThreadInfo(), xxxMNCloseHierarchy(), xxxMNEndMenuState(), and xxxMNOpenHierarchy().

PWND tagDESKTOP::spwndMessage

| Definition at line 2660 of file userk.h. Referenced by _GetMessageWindow(), xxxCleanupDesktopMenu(), xxxCreateDesktop(), and xxxDesktopThread().

PWND tagDESKTOP::spwndTooltip

| Definition at line 2661 of file userk.h. Referenced by _SetDoubleClickTime(), xxxCreateDesktop(), xxxDesktopThread(), xxxProcessEventMessage(), and xxxTrackMouseMove().

PWND tagDESKTOP::spwndTrack

| Definition at line 2670 of file userk.h. Referenced by QueryTrackMouseEvent(), ResetMouseHover(), TrackMouseEvent(), xxxCapture(), xxxDesktopThread(), xxxProcessEventMessage(), xxxScanSysQueue(), xxxSystemTimerProc(), xxxTrackMouseMove(), and zzzSetFMouseMoved().

PWND tagDESKTOP::spwndTray

| Definition at line 2659 of file userk.h. Referenced by xxxDesktopThread(), and xxxSetTrayWindow().

The documentation for this struct was generated from the following file:

- userk.h